How to draw an edge with an angle and distance
-
Tig it isn't working.
guys could u have a look at the code and tell me what do you think?...*[snip]*... reposted [in later post](http://forums.sketchucation.com/viewtopic.php?f)
-
Added a note at the bottom of the API doc page for
Model.raytest()
informing readers of thenil
return value, when no geometry is "hit." -
guys i think you are right, the hits array is empty. the ray isn't hitting any geometry. Still trying to find out why though
-
Rather than start with convoluted code try a simple 'one-liner' pasted into the Ruby Console...
Draw two rectangular faces place them one above the other, above the origin.rt=true;p=ORIGIN;while rt;p rt=Sketchup.active_model.raytest(p,Z_AXIS);p=rt[0]if rt;end
it should produce something like this
[Point3d(0, 0, 16.9685), [#<Sketchup::Face:0xbea3ae8>]] [Point3d(0, 0, 39.3701), [#<Sketchup::Face:0xbea3ad4>]] nil
NOW you know it's working........ -
Mission accomplished
Thanks to you all Geniuses
Advertisement